<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Swarm: Swarm/entity.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Swarm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('entity_8h_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">entity.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef ENTITY_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define ENTITY_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;QtWidgets&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;math.h&gt;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//  World constants (hardcoded, need to be dynamic, but not of high priority)</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define PI 3.14159265</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define maxSpeed 3</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#define DrawingTime 50</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// Not definitive, radius in which we take our friends when we think</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define friendRadius 55</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="class_entity.html">   16</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_entity.html">Entity</a> : <span class="keyword">public</span> QGraphicsObject</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="comment">// Needed to use personalized slots</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    Q_OBJECT</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="comment">// Constructor</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <a class="code" href="class_entity.html#ad1ec8741d85652e33c0f91d7d36319b6">Entity</a>(<span class="keywordtype">int</span> coordX, <span class="keywordtype">int</span> coordY);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="comment">// Getters</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#aae054a357ba0160edc06f1d91ccbd948">getSpeedX</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#a762854bad0508837045a0252f0d76774">getSpeedY</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a818e9637c884c49f27a0451e230f992b">isInfected</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#abadcf5fb781cafa3a9779091e210b96f">isAlive</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#ae8ae9db0661beceaf7b6ee81dfb60727">isInCemetery</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#afa34f4ad5a1c9874721170fd75f61ee2">isCarried</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#ad633b729a38a3fbf2d4b6035566b2902">knowCemeteryLocation</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="comment">// Setters</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#aecfa511c80f3f62aa2808b85a03403e0">infect</a>(<span class="keywordtype">bool</span> <a class="code" href="class_entity.html#aecfa511c80f3f62aa2808b85a03403e0">infect</a>);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#afe6a94511eb1b29ca5ce0e1f26d866d7">carry</a>(<span class="keywordtype">float</span> vx, <span class="keywordtype">float</span> vy);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#afa34f4ad5a1c9874721170fd75f61ee2">isCarried</a>(<span class="keywordtype">bool</span> carried);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#acb591b8bc60c6a41db5b34e4bdb416cb">setColor</a>(QColor color);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#ae8ae9db0661beceaf7b6ee81dfb60727">isInCemetery</a>(<span class="keywordtype">bool</span> in);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#ad633b729a38a3fbf2d4b6035566b2902">knowCemeteryLocation</a>(<span class="keywordtype">bool</span> knowCemeteryLocation);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="comment">// Methods</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#a9fa8e0513907981149155657dfe4d00e">magnitude</a>();</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="comment">// Static methods</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a5c36894ec38046487eaf5ed89b9092ff">getIfDirection</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a8ac00123b88d2090e6f660ae11687f50">toggleIfDirection</a>(<span class="keywordtype">bool</span> direction);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a3a9ff9233349eca13092ff1d280a8079">getIfCohesion</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a0f355fa44c74dfea199a8eb228291259">toggleIfCohesion</a>(<span class="keywordtype">bool</span> cohesion);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a118cca65586b4532c2a68b9153e37a34">getIfAvoidFriends</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_entity.html#abdfd28b7362c9b562a82743effc0f81a">toggleIfAvoidFriends</a>(<span class="keywordtype">bool</span> avoidFriends);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a58125570abc19062a26327d50d793550">getIfWander</a>();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_entity.html#af2f21013aa2a642af09a34090ec45951">toggleIfWander</a>(<span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a0d230711cff82b53f1f72c154f3c12bc">wander</a>);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="comment">// Methods</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a5bf60514251e4ebf68055f8baacdcb34">advance</a>(<span class="keywordtype">int</span> phase);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        QRectF <a class="code" href="class_entity.html#ad12604d5ebd2c806308d59e51805fc4c">boundingRect</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        QRectF <a class="code" href="class_entity.html#a210cb32575d421aa6b3c41e7cebf351e">actualRect</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a9c31cba51e980a1840b52a445416d110">paint</a>(QPainter *painter, <span class="keyword">const</span> QStyleOptionGraphicsItem *option, QWidget *widget);</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        QVariant <a class="code" href="class_entity.html#a088d46392a34f547e0bb61e3434156b1">itemChange</a>(GraphicsItemChange change, <span class="keyword">const</span> QVariant &amp;value);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">private</span>:</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="comment">// Attributes</span></div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="class_entity.html#ad9c50868dfb646a8c19dea777228f5d5">   71</a></span>&#160;<span class="comment"></span>        <span class="keywordtype">int</span> <a class="code" href="class_entity.html#ad9c50868dfb646a8c19dea777228f5d5">_angle</a>;</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="class_entity.html#a358f7a5e65c03415b36cc612c36e6f47">   73</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="class_entity.html#a358f7a5e65c03415b36cc612c36e6f47">_width</a>;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="class_entity.html#a161dc9b3d8e2b47c59e661dd2000cbf7">   75</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="class_entity.html#a161dc9b3d8e2b47c59e661dd2000cbf7">_height</a>;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="class_entity.html#a310d0e5d3f4283ce280b568035a6ea2a">   77</a></span>&#160;        QColor <a class="code" href="class_entity.html#a310d0e5d3f4283ce280b568035a6ea2a">_color</a>;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="class_entity.html#ab3b2a7c13372caed17c4fb57bd1b5c93">   79</a></span>&#160;        QList&lt;Entity *&gt; <a class="code" href="class_entity.html#ab3b2a7c13372caed17c4fb57bd1b5c93">_friends</a>;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="class_entity.html#ae1bfeb5c0b641203a75947f1d0cc200b">   81</a></span>&#160;        <a class="code" href="class_entity.html">Entity</a> * <a class="code" href="class_entity.html#ae1bfeb5c0b641203a75947f1d0cc200b">_carried</a>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="class_entity.html#a991d2e1db08f05b446fd0181cfe46d25">   84</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#a991d2e1db08f05b446fd0181cfe46d25">_speedX</a>;</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="class_entity.html#a4f242f453ea4e20de0db793ed7a7c988">   86</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#a4f242f453ea4e20de0db793ed7a7c988">_speedY</a>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="class_entity.html#a708433ca9095d2a08a7a245fbbdd3420">   89</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="class_entity.html#a708433ca9095d2a08a7a245fbbdd3420">_thinkTimer</a>;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="class_entity.html#aae358f78d5603a227f9e6cbe7422c3b1">   91</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#aae358f78d5603a227f9e6cbe7422c3b1">_blinktime</a>;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="class_entity.html#a912bc7f0a27722d87d472fdcbe6f66cc">   93</a></span>&#160;        QTimer * <a class="code" href="class_entity.html#a912bc7f0a27722d87d472fdcbe6f66cc">_timerBrush</a>;</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="class_entity.html#a8941b2a5d2c7d796b321de579a98b42c">   95</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a8941b2a5d2c7d796b321de579a98b42c">_isInfected</a>;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="class_entity.html#a412bf87d8ee6816a1d6a74e583dee02a">   97</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a412bf87d8ee6816a1d6a74e583dee02a">_careful</a>;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="class_entity.html#ac5a854824c625f3657859e1b4ee94cdb">   99</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="class_entity.html#ac5a854824c625f3657859e1b4ee94cdb">_risky</a>;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="class_entity.html#a5f7e1b098fc01a296bc2c3caebffebe8">  101</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a5f7e1b098fc01a296bc2c3caebffebe8">_alive</a>;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="class_entity.html#aac1f6ad5948bf693caeb6a846e0ba4ff">  103</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#aac1f6ad5948bf693caeb6a846e0ba4ff">_isInCemetery</a>;</div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="class_entity.html#a3f75e85f2de43893fe2b1c183de39cf7">  106</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a3f75e85f2de43893fe2b1c183de39cf7">_knowCemeteryLocation</a>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="class_entity.html#a9769abaaf3ba30560672b1b36d1b5a1a">  109</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a9769abaaf3ba30560672b1b36d1b5a1a">_carry</a>;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="class_entity.html#a9272426e8b23c182259f25120b378427">  111</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a9272426e8b23c182259f25120b378427">_isCarried</a>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="class_entity.html#a88a3051fd13b6533726f91223bf23137">  114</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a88a3051fd13b6533726f91223bf23137">_direction</a>;</div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="class_entity.html#ae38b78195c1dae00d9420f6598b98377">  116</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#ae38b78195c1dae00d9420f6598b98377">_cohesion</a>;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="class_entity.html#a02cba0c0f559c507ed9d61a7052122e4">  118</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a02cba0c0f559c507ed9d61a7052122e4">_avoidFriends</a>;</div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="class_entity.html#a9bd5f589512217ad573a6c7ffa8869e3">  120</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a9bd5f589512217ad573a6c7ffa8869e3">_wander</a>;</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="class_entity.html#a9a6544051f1f6ce7e73711d9e2796875">  122</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="class_entity.html#a9a6544051f1f6ce7e73711d9e2796875">_cemetery</a>;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="class_entity.html#a204cc2ea8616bf6773626047b7b923d7">  124</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="class_entity.html#a204cc2ea8616bf6773626047b7b923d7">_cemeteryX</a>;</div><div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="class_entity.html#a5109bb128b23cde2994111ca606a17ed">  126</a></span>&#160;        <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="class_entity.html#a5109bb128b23cde2994111ca606a17ed">_cemeteryY</a>;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="comment">// Methods</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keywordtype">float</span> <a class="code" href="class_entity.html#a7126f3bccb7f2ef87c6bd97d1a5fe574">calcAngle</a>(<span class="keywordtype">float</span> speedX, <span class="keywordtype">float</span> speedY);</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a2fc69b5350b5fcf634c8f8631ec119e3">initWay</a>();</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        <span class="comment">// Affecting the behaviour of the Entity</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#ad4d70cf0198b84bde757adb52b78a1d3">getFriends</a>();</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a0911e61f5f5221e8c2423277ff006613">behaviour</a>();</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#aaa69861ec8a7470f64f0a722c9130e1d">infectUpdate</a>();</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a67dcb80ceb7702458dc58059f043525e">mourn</a>();</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#afe6a94511eb1b29ca5ce0e1f26d866d7">carry</a>(<a class="code" href="class_entity.html">Entity</a> * carried, <span class="keywordtype">int</span> vx, <span class="keywordtype">int</span> vy);</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#aedb90015d46f950fe793fe38af0b0c96">drop</a>();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="comment">// Affecting the movement of the Entity</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a067f5364a361dc264290f0f689b2c1ad">getAverageDir</a>();</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#af5959e330ebafe1a3fed582b5c3901a8">getCohesion</a>();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a6a30f6840724fb0b3fffc0d05183d5a4">getAvoidDir</a>();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a0d230711cff82b53f1f72c154f3c12bc">wander</a>();</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#ac02ad4a3686521b551ab82d5b0688b67">limit</a>();</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#a5c3e97c80ce5155c8e5789b15dd21964">avoidInfected</a>();</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#aa009ae82632bb297443881dc6d9aa659">checkCemetery</a>();</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="comment">// Affecting the color of the Entity</span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#aa7901c581d66e71511a199851c852f51">blink</a>();</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <span class="keyword">private</span> slots:</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#adc3021850e78c1aaaef9f523dc0e307c">resetBrush</a>();</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="class_entity.html#aac385d8d40e430e6b3291049f1aa01f0">continuation</a>();</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;};</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="preprocessor">#endif // ENTITY_H</span></div><div class="ttc" id="class_entity_html_aac1f6ad5948bf693caeb6a846e0ba4ff"><div class="ttname"><a href="class_entity.html#aac1f6ad5948bf693caeb6a846e0ba4ff">Entity::_isInCemetery</a></div><div class="ttdeci">bool _isInCemetery</div><div class="ttdoc">This attribute is used only when the Entity is dead true if the Entity is in a cemetary or false othe...</div><div class="ttdef"><b>Definition:</b> entity.h:103</div></div>
<div class="ttc" id="class_entity_html_ac5a854824c625f3657859e1b4ee94cdb"><div class="ttname"><a href="class_entity.html#ac5a854824c625f3657859e1b4ee94cdb">Entity::_risky</a></div><div class="ttdeci">int _risky</div><div class="ttdoc">Represent the risk of dying from the infection. </div><div class="ttdef"><b>Definition:</b> entity.h:99</div></div>
<div class="ttc" id="class_entity_html_aae054a357ba0160edc06f1d91ccbd948"><div class="ttname"><a href="class_entity.html#aae054a357ba0160edc06f1d91ccbd948">Entity::getSpeedX</a></div><div class="ttdeci">float getSpeedX() const</div><div class="ttdoc">Getter of _speedX. </div><div class="ttdef"><b>Definition:</b> entity.cpp:152</div></div>
<div class="ttc" id="class_entity_html_a8941b2a5d2c7d796b321de579a98b42c"><div class="ttname"><a href="class_entity.html#a8941b2a5d2c7d796b321de579a98b42c">Entity::_isInfected</a></div><div class="ttdeci">bool _isInfected</div><div class="ttdoc">true if the Entity is infected or false otherwise. </div><div class="ttdef"><b>Definition:</b> entity.h:95</div></div>
<div class="ttc" id="class_entity_html_aecfa511c80f3f62aa2808b85a03403e0"><div class="ttname"><a href="class_entity.html#aecfa511c80f3f62aa2808b85a03403e0">Entity::infect</a></div><div class="ttdeci">void infect(bool infect)</div><div class="ttdoc">Setter of _isInfected. If an Entity becomes infected, change its color, trigger the continuation() sl...</div><div class="ttdef"><b>Definition:</b> entity.cpp:239</div></div>
<div class="ttc" id="class_entity_html_a991d2e1db08f05b446fd0181cfe46d25"><div class="ttname"><a href="class_entity.html#a991d2e1db08f05b446fd0181cfe46d25">Entity::_speedX</a></div><div class="ttdeci">float _speedX</div><div class="ttdoc">Speed of the Entity horizontally (negative goes to the left, positive goes to the right)...</div><div class="ttdef"><b>Definition:</b> entity.h:84</div></div>
<div class="ttc" id="class_entity_html_af5959e330ebafe1a3fed582b5c3901a8"><div class="ttname"><a href="class_entity.html#af5959e330ebafe1a3fed582b5c3901a8">Entity::getCohesion</a></div><div class="ttdeci">void getCohesion()</div><div class="ttdoc">Modify the speed of the Entity to match the average position of nearby Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:959</div></div>
<div class="ttc" id="class_entity_html_a118cca65586b4532c2a68b9153e37a34"><div class="ttname"><a href="class_entity.html#a118cca65586b4532c2a68b9153e37a34">Entity::getIfAvoidFriends</a></div><div class="ttdeci">static bool getIfAvoidFriends()</div><div class="ttdoc">Getter of _avoidFriends. </div><div class="ttdef"><b>Definition:</b> entity.cpp:393</div></div>
<div class="ttc" id="class_entity_html_ae1bfeb5c0b641203a75947f1d0cc200b"><div class="ttname"><a href="class_entity.html#ae1bfeb5c0b641203a75947f1d0cc200b">Entity::_carried</a></div><div class="ttdeci">Entity * _carried</div><div class="ttdoc">Pointer to an Enity if this Entity carry a dead. </div><div class="ttdef"><b>Definition:</b> entity.h:81</div></div>
<div class="ttc" id="class_entity_html_ab3b2a7c13372caed17c4fb57bd1b5c93"><div class="ttname"><a href="class_entity.html#ab3b2a7c13372caed17c4fb57bd1b5c93">Entity::_friends</a></div><div class="ttdeci">QList&lt; Entity * &gt; _friends</div><div class="ttdoc">List containing all nearby Entities. </div><div class="ttdef"><b>Definition:</b> entity.h:79</div></div>
<div class="ttc" id="class_entity_html_a8ac00123b88d2090e6f660ae11687f50"><div class="ttname"><a href="class_entity.html#a8ac00123b88d2090e6f660ae11687f50">Entity::toggleIfDirection</a></div><div class="ttdeci">static void toggleIfDirection(bool direction)</div><div class="ttdoc">Set the value of static _direction attribute which represent the activation of the getAverageDir() me...</div><div class="ttdef"><b>Definition:</b> entity.cpp:352</div></div>
<div class="ttc" id="class_entity_html_a818e9637c884c49f27a0451e230f992b"><div class="ttname"><a href="class_entity.html#a818e9637c884c49f27a0451e230f992b">Entity::isInfected</a></div><div class="ttdeci">bool isInfected() const</div><div class="ttdoc">Getter of _isInfected. </div><div class="ttdef"><b>Definition:</b> entity.cpp:174</div></div>
<div class="ttc" id="class_entity_html_a6a30f6840724fb0b3fffc0d05183d5a4"><div class="ttname"><a href="class_entity.html#a6a30f6840724fb0b3fffc0d05183d5a4">Entity::getAvoidDir</a></div><div class="ttdeci">void getAvoidDir()</div><div class="ttdoc">Modify the speed of the Entity to avoid nearby Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1006</div></div>
<div class="ttc" id="class_entity_html_a088d46392a34f547e0bb61e3434156b1"><div class="ttname"><a href="class_entity.html#a088d46392a34f547e0bb61e3434156b1">Entity::itemChange</a></div><div class="ttdeci">QVariant itemChange(GraphicsItemChange change, const QVariant &amp;value)</div><div class="ttdoc">Used to infect other entities, mourn (drop or pick up a corpse), move a carried corpse. </div><div class="ttdef"><b>Definition:</b> entity.cpp:571</div></div>
<div class="ttc" id="class_entity_html_a5109bb128b23cde2994111ca606a17ed"><div class="ttname"><a href="class_entity.html#a5109bb128b23cde2994111ca606a17ed">Entity::_cemeteryY</a></div><div class="ttdeci">static int _cemeteryY</div><div class="ttdoc">Y position of the cemetery. </div><div class="ttdef"><b>Definition:</b> entity.h:126</div></div>
<div class="ttc" id="class_entity_html_af2f21013aa2a642af09a34090ec45951"><div class="ttname"><a href="class_entity.html#af2f21013aa2a642af09a34090ec45951">Entity::toggleIfWander</a></div><div class="ttdeci">static void toggleIfWander(bool wander)</div><div class="ttdoc">Set the value of static _wander attribute which represent the activation of the wander() method...</div><div class="ttdef"><b>Definition:</b> entity.cpp:436</div></div>
<div class="ttc" id="class_entity_html_a5f7e1b098fc01a296bc2c3caebffebe8"><div class="ttname"><a href="class_entity.html#a5f7e1b098fc01a296bc2c3caebffebe8">Entity::_alive</a></div><div class="ttdeci">bool _alive</div><div class="ttdoc">true if the Entity is alive or false if it has died due to the infection. </div><div class="ttdef"><b>Definition:</b> entity.h:101</div></div>
<div class="ttc" id="class_entity_html_aa009ae82632bb297443881dc6d9aa659"><div class="ttname"><a href="class_entity.html#aa009ae82632bb297443881dc6d9aa659">Entity::checkCemetery</a></div><div class="ttdeci">void checkCemetery()</div><div class="ttdoc">Method used to create the cemetery when the first Entity die. Set the cemetery position. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1198</div></div>
<div class="ttc" id="class_entity_html_aac385d8d40e430e6b3291049f1aa01f0"><div class="ttname"><a href="class_entity.html#aac385d8d40e430e6b3291049f1aa01f0">Entity::continuation</a></div><div class="ttdeci">void continuation()</div><div class="ttdoc">Slot called after x milliseconds to decide wether or not the Entity dies. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1232</div></div>
<div class="ttc" id="class_entity_html_ad1ec8741d85652e33c0f91d7d36319b6"><div class="ttname"><a href="class_entity.html#ad1ec8741d85652e33c0f91d7d36319b6">Entity::Entity</a></div><div class="ttdeci">Entity(int coordX, int coordY)</div><div class="ttdoc">Constructor of Entity. Constructs an Entity at the given coordinates. </div><div class="ttdef"><b>Definition:</b> entity.cpp:79</div></div>
<div class="ttc" id="class_entity_html_ad9c50868dfb646a8c19dea777228f5d5"><div class="ttname"><a href="class_entity.html#ad9c50868dfb646a8c19dea777228f5d5">Entity::_angle</a></div><div class="ttdeci">int _angle</div><div class="ttdoc">The angle of the direction the Entity is heading to. </div><div class="ttdef"><b>Definition:</b> entity.h:71</div></div>
<div class="ttc" id="class_entity_html_a358f7a5e65c03415b36cc612c36e6f47"><div class="ttname"><a href="class_entity.html#a358f7a5e65c03415b36cc612c36e6f47">Entity::_width</a></div><div class="ttdeci">int _width</div><div class="ttdoc">The width of the bounding rectangle of the Entity. </div><div class="ttdef"><b>Definition:</b> entity.h:73</div></div>
<div class="ttc" id="class_entity_html"><div class="ttname"><a href="class_entity.html">Entity</a></div><div class="ttdoc">The Entity class is the main object of the project. Its main goal is to interact with other Entities ...</div><div class="ttdef"><b>Definition:</b> entity.h:16</div></div>
<div class="ttc" id="class_entity_html_a3a9ff9233349eca13092ff1d280a8079"><div class="ttname"><a href="class_entity.html#a3a9ff9233349eca13092ff1d280a8079">Entity::getIfCohesion</a></div><div class="ttdeci">static bool getIfCohesion()</div><div class="ttdoc">Getter of _cohesion. </div><div class="ttdef"><b>Definition:</b> entity.cpp:365</div></div>
<div class="ttc" id="class_entity_html_a708433ca9095d2a08a7a245fbbdd3420"><div class="ttname"><a href="class_entity.html#a708433ca9095d2a08a7a245fbbdd3420">Entity::_thinkTimer</a></div><div class="ttdeci">int _thinkTimer</div><div class="ttdoc">Time the Entity takes to change of friends. </div><div class="ttdef"><b>Definition:</b> entity.h:89</div></div>
<div class="ttc" id="class_entity_html_a88a3051fd13b6533726f91223bf23137"><div class="ttname"><a href="class_entity.html#a88a3051fd13b6533726f91223bf23137">Entity::_direction</a></div><div class="ttdeci">static bool _direction</div><div class="ttdoc">If true -&gt; activate getAverageDir(), if false, deactivate. </div><div class="ttdef"><b>Definition:</b> entity.h:114</div></div>
<div class="ttc" id="class_entity_html_ad633b729a38a3fbf2d4b6035566b2902"><div class="ttname"><a href="class_entity.html#ad633b729a38a3fbf2d4b6035566b2902">Entity::knowCemeteryLocation</a></div><div class="ttdeci">bool knowCemeteryLocation() const</div><div class="ttdoc">Getter of _knowCemeteryLocation. </div><div class="ttdef"><b>Definition:</b> entity.cpp:224</div></div>
<div class="ttc" id="class_entity_html_aae358f78d5603a227f9e6cbe7422c3b1"><div class="ttname"><a href="class_entity.html#aae358f78d5603a227f9e6cbe7422c3b1">Entity::_blinktime</a></div><div class="ttdeci">float _blinktime</div><div class="ttdoc">Time the Entity needs to change color once. </div><div class="ttdef"><b>Definition:</b> entity.h:91</div></div>
<div class="ttc" id="class_entity_html_acb591b8bc60c6a41db5b34e4bdb416cb"><div class="ttname"><a href="class_entity.html#acb591b8bc60c6a41db5b34e4bdb416cb">Entity::setColor</a></div><div class="ttdeci">void setColor(QColor color)</div><div class="ttdoc">Setter of _color. </div><div class="ttdef"><b>Definition:</b> entity.cpp:289</div></div>
<div class="ttc" id="class_entity_html_abdfd28b7362c9b562a82743effc0f81a"><div class="ttname"><a href="class_entity.html#abdfd28b7362c9b562a82743effc0f81a">Entity::toggleIfAvoidFriends</a></div><div class="ttdeci">static void toggleIfAvoidFriends(bool avoidFriends)</div><div class="ttdoc">Set the value of static _avoidFriends attribute which represent the activation of the getAvoidDir() m...</div><div class="ttdef"><b>Definition:</b> entity.cpp:408</div></div>
<div class="ttc" id="class_entity_html_a9fa8e0513907981149155657dfe4d00e"><div class="ttname"><a href="class_entity.html#a9fa8e0513907981149155657dfe4d00e">Entity::magnitude</a></div><div class="ttdeci">float magnitude()</div><div class="ttdoc">Calculate and return the magnitude of the speed vector of the Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:323</div></div>
<div class="ttc" id="class_entity_html_a0d230711cff82b53f1f72c154f3c12bc"><div class="ttname"><a href="class_entity.html#a0d230711cff82b53f1f72c154f3c12bc">Entity::wander</a></div><div class="ttdeci">void wander()</div><div class="ttdoc">Modify randomly the direction of the Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1055</div></div>
<div class="ttc" id="class_entity_html_aedb90015d46f950fe793fe38af0b0c96"><div class="ttname"><a href="class_entity.html#aedb90015d46f950fe793fe38af0b0c96">Entity::drop</a></div><div class="ttdeci">void drop()</div><div class="ttdoc">Drop the currently carried Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:886</div></div>
<div class="ttc" id="class_entity_html_ad12604d5ebd2c806308d59e51805fc4c"><div class="ttname"><a href="class_entity.html#ad12604d5ebd2c806308d59e51805fc4c">Entity::boundingRect</a></div><div class="ttdeci">QRectF boundingRect() const</div><div class="ttdoc">The bounding Rectangle of the entity, used to test colliding by Qt. It doesn&amp;#39;t correspond to the real...</div><div class="ttdef"><b>Definition:</b> entity.cpp:522</div></div>
<div class="ttc" id="class_entity_html_a9a6544051f1f6ce7e73711d9e2796875"><div class="ttname"><a href="class_entity.html#a9a6544051f1f6ce7e73711d9e2796875">Entity::_cemetery</a></div><div class="ttdeci">static bool _cemetery</div><div class="ttdoc">If true -&gt; there is a cemetery, false if not. </div><div class="ttdef"><b>Definition:</b> entity.h:122</div></div>
<div class="ttc" id="class_entity_html_abadcf5fb781cafa3a9779091e210b96f"><div class="ttname"><a href="class_entity.html#abadcf5fb781cafa3a9779091e210b96f">Entity::isAlive</a></div><div class="ttdeci">bool isAlive() const</div><div class="ttdoc">Getter of _alive. </div><div class="ttdef"><b>Definition:</b> entity.cpp:185</div></div>
<div class="ttc" id="class_entity_html_a204cc2ea8616bf6773626047b7b923d7"><div class="ttname"><a href="class_entity.html#a204cc2ea8616bf6773626047b7b923d7">Entity::_cemeteryX</a></div><div class="ttdeci">static int _cemeteryX</div><div class="ttdoc">X position of the cemetery. </div><div class="ttdef"><b>Definition:</b> entity.h:124</div></div>
<div class="ttc" id="class_entity_html_ac02ad4a3686521b551ab82d5b0688b67"><div class="ttname"><a href="class_entity.html#ac02ad4a3686521b551ab82d5b0688b67">Entity::limit</a></div><div class="ttdeci">void limit()</div><div class="ttdoc">Limit the speed of the Entity to ensure it doesn&amp;#39;t exceed the defined maxSpeed. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1074</div></div>
<div class="ttc" id="class_entity_html_a0911e61f5f5221e8c2423277ff006613"><div class="ttname"><a href="class_entity.html#a0911e61f5f5221e8c2423277ff006613">Entity::behaviour</a></div><div class="ttdeci">void behaviour()</div><div class="ttdoc">Method used to give a behaviour to the entity. It is the main method of the Entity class as it is fro...</div><div class="ttdef"><b>Definition:</b> entity.cpp:718</div></div>
<div class="ttc" id="class_entity_html_aaa69861ec8a7470f64f0a722c9130e1d"><div class="ttname"><a href="class_entity.html#aaa69861ec8a7470f64f0a722c9130e1d">Entity::infectUpdate</a></div><div class="ttdeci">void infectUpdate()</div><div class="ttdoc">For each Entity in the infection area, infect with a certain probability. </div><div class="ttdef"><b>Definition:</b> entity.cpp:766</div></div>
<div class="ttc" id="class_entity_html_a210cb32575d421aa6b3c41e7cebf351e"><div class="ttname"><a href="class_entity.html#a210cb32575d421aa6b3c41e7cebf351e">Entity::actualRect</a></div><div class="ttdeci">QRectF actualRect() const</div><div class="ttdoc">Getter for the hitbox of the Entity. Unlike boundingRect() method, actualRect() returns the bounding ...</div><div class="ttdef"><b>Definition:</b> entity.cpp:536</div></div>
<div class="ttc" id="class_entity_html_a310d0e5d3f4283ce280b568035a6ea2a"><div class="ttname"><a href="class_entity.html#a310d0e5d3f4283ce280b568035a6ea2a">Entity::_color</a></div><div class="ttdeci">QColor _color</div><div class="ttdoc">Color of the Entity. </div><div class="ttdef"><b>Definition:</b> entity.h:77</div></div>
<div class="ttc" id="class_entity_html_a912bc7f0a27722d87d472fdcbe6f66cc"><div class="ttname"><a href="class_entity.html#a912bc7f0a27722d87d472fdcbe6f66cc">Entity::_timerBrush</a></div><div class="ttdeci">QTimer * _timerBrush</div><div class="ttdoc">Used with _blinktime to change color. </div><div class="ttdef"><b>Definition:</b> entity.h:93</div></div>
<div class="ttc" id="class_entity_html_a161dc9b3d8e2b47c59e661dd2000cbf7"><div class="ttname"><a href="class_entity.html#a161dc9b3d8e2b47c59e661dd2000cbf7">Entity::_height</a></div><div class="ttdeci">int _height</div><div class="ttdoc">The height of the bounding rectangle of the Entity. </div><div class="ttdef"><b>Definition:</b> entity.h:75</div></div>
<div class="ttc" id="class_entity_html_adc3021850e78c1aaaef9f523dc0e307c"><div class="ttname"><a href="class_entity.html#adc3021850e78c1aaaef9f523dc0e307c">Entity::resetBrush</a></div><div class="ttdeci">void resetBrush()</div><div class="ttdoc">Slot called each x milliseconds where x is the drawingTime constant defined in entity.h. It changes the color of the Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1215</div></div>
<div class="ttc" id="class_entity_html_a2fc69b5350b5fcf634c8f8631ec119e3"><div class="ttname"><a href="class_entity.html#a2fc69b5350b5fcf634c8f8631ec119e3">Entity::initWay</a></div><div class="ttdeci">void initWay()</div><div class="ttdoc">Choose randomly a direction in X and Y for the entity. Is used to ensure the entity will not have a 0...</div><div class="ttdef"><b>Definition:</b> entity.cpp:642</div></div>
<div class="ttc" id="class_entity_html_a5bf60514251e4ebf68055f8baacdcb34"><div class="ttname"><a href="class_entity.html#a5bf60514251e4ebf68055f8baacdcb34">Entity::advance</a></div><div class="ttdeci">void advance(int phase)</div><div class="ttdoc">Make the Entity move and calls the getFriends() &amp; behaviour() methods. Is also used to place the ceme...</div><div class="ttdef"><b>Definition:</b> entity.cpp:454</div></div>
<div class="ttc" id="class_entity_html_a58125570abc19062a26327d50d793550"><div class="ttname"><a href="class_entity.html#a58125570abc19062a26327d50d793550">Entity::getIfWander</a></div><div class="ttdeci">static bool getIfWander()</div><div class="ttdoc">Getter of _wander. </div><div class="ttdef"><b>Definition:</b> entity.cpp:421</div></div>
<div class="ttc" id="class_entity_html_a412bf87d8ee6816a1d6a74e583dee02a"><div class="ttname"><a href="class_entity.html#a412bf87d8ee6816a1d6a74e583dee02a">Entity::_careful</a></div><div class="ttdeci">bool _careful</div><div class="ttdoc">true if the Entity tries not to spread the infection or false otherwise. </div><div class="ttdef"><b>Definition:</b> entity.h:97</div></div>
<div class="ttc" id="class_entity_html_a9769abaaf3ba30560672b1b36d1b5a1a"><div class="ttname"><a href="class_entity.html#a9769abaaf3ba30560672b1b36d1b5a1a">Entity::_carry</a></div><div class="ttdeci">bool _carry</div><div class="ttdoc">true if the Entity carries a dead Entity or false otherwise. </div><div class="ttdef"><b>Definition:</b> entity.h:109</div></div>
<div class="ttc" id="class_entity_html_a5c36894ec38046487eaf5ed89b9092ff"><div class="ttname"><a href="class_entity.html#a5c36894ec38046487eaf5ed89b9092ff">Entity::getIfDirection</a></div><div class="ttdeci">static bool getIfDirection()</div><div class="ttdoc">Getter of _direction. </div><div class="ttdef"><b>Definition:</b> entity.cpp:337</div></div>
<div class="ttc" id="class_entity_html_a7126f3bccb7f2ef87c6bd97d1a5fe574"><div class="ttname"><a href="class_entity.html#a7126f3bccb7f2ef87c6bd97d1a5fe574">Entity::calcAngle</a></div><div class="ttdeci">float calcAngle(float speedX, float speedY)</div><div class="ttdoc">Calcultate the angle of the direction the Entity is heading to. </div><div class="ttdef"><b>Definition:</b> entity.cpp:627</div></div>
<div class="ttc" id="class_entity_html_a067f5364a361dc264290f0f689b2c1ad"><div class="ttname"><a href="class_entity.html#a067f5364a361dc264290f0f689b2c1ad">Entity::getAverageDir</a></div><div class="ttdeci">void getAverageDir()</div><div class="ttdoc">Modify the speed of the Entity to match the average direction of nearby Entity. </div><div class="ttdef"><b>Definition:</b> entity.cpp:906</div></div>
<div class="ttc" id="class_entity_html_a02cba0c0f559c507ed9d61a7052122e4"><div class="ttname"><a href="class_entity.html#a02cba0c0f559c507ed9d61a7052122e4">Entity::_avoidFriends</a></div><div class="ttdeci">static bool _avoidFriends</div><div class="ttdoc">If true -&gt; activate getAvoidFriends(), if false, deactivate. </div><div class="ttdef"><b>Definition:</b> entity.h:118</div></div>
<div class="ttc" id="class_entity_html_afe6a94511eb1b29ca5ce0e1f26d866d7"><div class="ttname"><a href="class_entity.html#afe6a94511eb1b29ca5ce0e1f26d866d7">Entity::carry</a></div><div class="ttdeci">void carry(float vx, float vy)</div><div class="ttdoc">change the speed of this Entity (if dead and carried) </div><div class="ttdef"><b>Definition:</b> entity.cpp:270</div></div>
<div class="ttc" id="class_entity_html_a9c31cba51e980a1840b52a445416d110"><div class="ttname"><a href="class_entity.html#a9c31cba51e980a1840b52a445416d110">Entity::paint</a></div><div class="ttdeci">void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</div><div class="ttdoc">Used to draw the entity on the scene. </div><div class="ttdef"><b>Definition:</b> entity.cpp:550</div></div>
<div class="ttc" id="class_entity_html_a9bd5f589512217ad573a6c7ffa8869e3"><div class="ttname"><a href="class_entity.html#a9bd5f589512217ad573a6c7ffa8869e3">Entity::_wander</a></div><div class="ttdeci">static bool _wander</div><div class="ttdoc">If true -&gt; activate wander(), if false, deactivate. </div><div class="ttdef"><b>Definition:</b> entity.h:120</div></div>
<div class="ttc" id="class_entity_html_a0f355fa44c74dfea199a8eb228291259"><div class="ttname"><a href="class_entity.html#a0f355fa44c74dfea199a8eb228291259">Entity::toggleIfCohesion</a></div><div class="ttdeci">static void toggleIfCohesion(bool cohesion)</div><div class="ttdoc">Set the value of static _cohesion attribute which represent the activation of the getCohesion() metho...</div><div class="ttdef"><b>Definition:</b> entity.cpp:380</div></div>
<div class="ttc" id="class_entity_html_ad4d70cf0198b84bde757adb52b78a1d3"><div class="ttname"><a href="class_entity.html#ad4d70cf0198b84bde757adb52b78a1d3">Entity::getFriends</a></div><div class="ttdeci">void getFriends()</div><div class="ttdoc">Browse all the Entities to get nearby ones (radius is friendRadius constant) and add them to the _fri...</div><div class="ttdef"><b>Definition:</b> entity.cpp:676</div></div>
<div class="ttc" id="class_entity_html_a67dcb80ceb7702458dc58059f043525e"><div class="ttname"><a href="class_entity.html#a67dcb80ceb7702458dc58059f043525e">Entity::mourn</a></div><div class="ttdeci">void mourn()</div><div class="ttdoc">Method used by living Entities to gather their dead comrades. </div><div class="ttdef"><b>Definition:</b> entity.cpp:807</div></div>
<div class="ttc" id="class_entity_html_a5c3e97c80ce5155c8e5789b15dd21964"><div class="ttname"><a href="class_entity.html#a5c3e97c80ce5155c8e5789b15dd21964">Entity::avoidInfected</a></div><div class="ttdeci">void avoidInfected()</div><div class="ttdoc">Modify the direction of the Entity to avoid infected Entities in the area. </div><div class="ttdef"><b>Definition:</b> entity.cpp:1143</div></div>
<div class="ttc" id="class_entity_html_ae38b78195c1dae00d9420f6598b98377"><div class="ttname"><a href="class_entity.html#ae38b78195c1dae00d9420f6598b98377">Entity::_cohesion</a></div><div class="ttdeci">static bool _cohesion</div><div class="ttdoc">If true -&gt; activate getCohesion(), if false, deactivate. </div><div class="ttdef"><b>Definition:</b> entity.h:116</div></div>
<div class="ttc" id="class_entity_html_a9272426e8b23c182259f25120b378427"><div class="ttname"><a href="class_entity.html#a9272426e8b23c182259f25120b378427">Entity::_isCarried</a></div><div class="ttdeci">bool _isCarried</div><div class="ttdoc">true if the dead Entity is carried by another Entity or false otherwise. </div><div class="ttdef"><b>Definition:</b> entity.h:111</div></div>
<div class="ttc" id="class_entity_html_a3f75e85f2de43893fe2b1c183de39cf7"><div class="ttname"><a href="class_entity.html#a3f75e85f2de43893fe2b1c183de39cf7">Entity::_knowCemeteryLocation</a></div><div class="ttdeci">bool _knowCemeteryLocation</div><div class="ttdef"><b>Definition:</b> entity.h:106</div></div>
<div class="ttc" id="class_entity_html_aa7901c581d66e71511a199851c852f51"><div class="ttname"><a href="class_entity.html#aa7901c581d66e71511a199851c852f51">Entity::blink</a></div><div class="ttdeci">void blink()</div><div class="ttdoc">Modify the blinktime of the Entity to match the average blink time of friends. Also modify the color ...</div><div class="ttdef"><b>Definition:</b> entity.cpp:1097</div></div>
<div class="ttc" id="class_entity_html_a4f242f453ea4e20de0db793ed7a7c988"><div class="ttname"><a href="class_entity.html#a4f242f453ea4e20de0db793ed7a7c988">Entity::_speedY</a></div><div class="ttdeci">float _speedY</div><div class="ttdoc">Speed of the Entity vertically (negative goes to the top, positive goes to the bottom). </div><div class="ttdef"><b>Definition:</b> entity.h:86</div></div>
<div class="ttc" id="class_entity_html_ae8ae9db0661beceaf7b6ee81dfb60727"><div class="ttname"><a href="class_entity.html#ae8ae9db0661beceaf7b6ee81dfb60727">Entity::isInCemetery</a></div><div class="ttdeci">bool isInCemetery() const</div><div class="ttdoc">Getter of _isInCemetery. </div><div class="ttdef"><b>Definition:</b> entity.cpp:198</div></div>
<div class="ttc" id="class_entity_html_afa34f4ad5a1c9874721170fd75f61ee2"><div class="ttname"><a href="class_entity.html#afa34f4ad5a1c9874721170fd75f61ee2">Entity::isCarried</a></div><div class="ttdeci">bool isCarried() const</div><div class="ttdoc">Getter of _carried. </div><div class="ttdef"><b>Definition:</b> entity.cpp:211</div></div>
<div class="ttc" id="class_entity_html_a762854bad0508837045a0252f0d76774"><div class="ttname"><a href="class_entity.html#a762854bad0508837045a0252f0d76774">Entity::getSpeedY</a></div><div class="ttdeci">float getSpeedY() const</div><div class="ttdoc">Getter of _speedY. </div><div class="ttdef"><b>Definition:</b> entity.cpp:163</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_31014ed4b0398a105b104fc30457303f.html">Swarm</a></li><li class="navelem"><b>entity.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
